javax.jdo.annotations

## Annotation Type Version

-     @Target(value=TYPE)
       @Retention(value=RUNTIME)
      public @interface Version

  Annotation for the versioning of the class. Corresponds to the xml element "version" of the "class" and "property" elements.
  Since:
    2.1
  Version:
    2.1

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `column` Name of the column for the version.
    `Column[]` | `columns` The column(s) making up the version.
    `String` | `customStrategy` Custom strategy for versioning of objects of this class.
    `Extension[]` | `extensions` Vendor extensions.
    `String` | `indexed` Whether the version column(s) is(are) indexed.
    `VersionStrategy` | `strategy` Strategy for versioning of objects of this class.

- - ### Element Detail

    - #### strategy

          public abstract VersionStrategy strategy

      Strategy for versioning of objects of this class.
      Returns:
        the strategy for versioning objects of this class
      Default:
        javax.jdo.annotations.VersionStrategy.UNSPECIFIED

  - - #### customStrategy

          public abstract String customStrategy

      Custom strategy for versioning of objects of this class. If customStrategy is non-empty, strategy must be UNSPECIFIED.
      Returns:
        the custom strategy for versioning objects of this class
      Default:
        ""

  - - #### column

          public abstract String column

      Name of the column for the version.
      Returns:
        the name of the column for the version
      Default:
        ""

  - - #### indexed

          public abstract String indexed

      Whether the version column(s) is(are) indexed.
      Returns:
        whether the version column(s) is(are) indexed
      Default:
        ""

  - - #### columns

          public abstract Column[] columns

      The column(s) making up the version.
      Returns:
        the column(s) making up the version
      Default:
        {}

  - - #### extensions

          public abstract Extension[] extensions

      Vendor extensions.
      Returns:
        the vendor extensions
      Default:
        {}

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.